ranges::actions::transform_fn Struct Reference

## Public Member Functions

template<typename F , typename P = identity>
CPP_TEMPLATE_AUX_0 | c (requires(!range< F >)) ccconstexpr auto operator()(F fun

## Public Attributes

CPP_TEMPLATE_AUX_0 P | F
CPP_TEMPLATE_AUX_0 P | proj

## Related Functions

(Note that these are not member functions.)
constexpr transform_fn | transform {}

## Member Data Documentation

## proj

CPP_TEMPLATE_AUX_0 P ranges::actions::transform_fn::proj

Initial value:
= P{}) const
{
return make_action_closure(
bind_back(transform_fn{}, std::move(fun), std::move(proj)));
}
template< typename Rng
ranges::make_action_closure
constexpr make_action_closure_fn make_action_closure
Definition: action.hpp:49
ranges::aux::move
constexpr move_fn move
Definition: move.hpp:52
meta::lazy::bind_back
defer< bind_back, Fn, Ts... > bind_back
Definition: meta.hpp:994